<?php

namespace Drupal\immoweb_api_client\Service;

use Drupal\Core\Config\ConfigFactoryInterface;
use Drupal\Core\Logger\LoggerChannelFactoryInterface;
use Drupal\immoweb_api_client\Resource\Customer\AuthenticatorInterface;
use GuzzleHttp\ClientInterface;

/**
 * Class Customer.
 *
 * Responsible for grouping all resources under the Customer collection.
 *
 * One exception here is that the oauth provider (Customer/Authenticator) has
 * it's own service defined, so there is no need to also add them here. This
 * could be changed easily in case it would be too confusing.
 */
class Customer extends ServiceBase {

  /**
   * {@inheritdoc}
   */
  public function __construct(ClientInterface $http_client, ConfigFactoryInterface $config, LoggerChannelFactoryInterface $logger_factory, AuthenticatorInterface $authenticate) {
    parent::__construct($http_client, $config, $logger_factory, $authenticate);
    // @todo Initiate our classes.
    $a = 1;
  }

}
